UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Visitor loeb
Visitor
4,394 Views
Registered: ‎12-01-2009

SmartModel PPC405: Disable register update warning

Hi,

 

i am using smartmodels for PPC405 simulation with modelsim 6.5, which is working fine so far.

 

However, modelsim is showing many messages like the following (indicating updates to the PPC registers):

 

#    Time: 3912500 ps  Instance:/ue/pwpc_wrapper_inst/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst
# ** Note (SmartModel):
#   
#     --->                    3919000     GPR0     = 00400000
#    Time: 3918750 ps  Instance:/ue/pwpc_wrapper_inst/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst
# ** Note (SmartModel):
#   
#     --->                    3919000     GPR9     = 00400000

 

How can these register update warnings be disabled? They are spaming my transcript during simulation.

 

Many thanks,

Hans

 

Message Edited by loeb on 12-01-2009 08:44 AM
Message Edited by loeb on 12-01-2009 01:06 PM
0 Kudos
3 Replies
Visitor loeb
Visitor
4,358 Views
Registered: ‎12-01-2009

Re: SmartModel PPC405: Disable register update warning

Anyone? These update messages of the PPC smartmodel are really annoying, how can they be disabled?

 

Thanks,
Hans

 

0 Kudos
Visitor loeb
Visitor
4,258 Views
Registered: ‎12-01-2009

Re: SmartModel PPC405: Disable register update warning

.

 

i am using the LINUX 32 version, does anyone have a clue?

 

Hans

0 Kudos
Visitor loeb
Visitor
4,194 Views
Registered: ‎12-01-2009

Re: SmartModel PPC405: Disable register update warning

Just in case anyone is interested. The solution Xilinx is proposing is NOT working

 

>>

Can you see Answer Record 30793, as this adresses your issue: http://www.xilinx.com/support/answers/30793.htm 

 

Work-around #1: Downgrade the PowerPC wrapper to v1.01a ( pre-PLBv46 version).

Work-around #2: Attach a dummy PLB core to the PowerPC. 

>>

 

I tried attaching a PLB-BRAM just for simulation without any effect.

 

 

 

 

Message Edited by loeb on 01-29-2010 09:39 AM
0 Kudos